import GLOOP.*;
class Landeplatzszene{
    GLKamera kamera;
    GLLicht licht;
    GLHimmel himmel;
    GLBoden boden;
    GLTastatur tastatur;

    GLZylinder landeplatz;
    GLKugel[] lampe;

    Landeplatzszene(){
        kamera  = new GLSchwenkkamera(800,600);
        licht   = new GLLicht();
        himmel  = new GLHimmel("Himmel.jpg");
        boden   = new GLBoden("Gras.jpg");
        tastatur = new GLTastatur();

        //Landeplatz erstellen
        landeplatz = new GLZylinder(0,0,0,300,20);
        landeplatz.drehe(90,0,0);
        landeplatz.setzeTextur("Feld.jpg");

        //Lampen erstellen
        lampe = new GLKugel[20];
        for (int i=0; i<20; i++){
            lampe[i] = new GLKugel(290,20,0,10);
            lampe[i].drehe(0,i*360/20,0, 0,0,0);
        }
    }

    void starteLauflichter1(){
        while (!tastatur.esc()){

            for (int i=0; i<20; i++){
                lampe[i].setzeFarbe(1,0,0);
                Sys.warte(200);
            }

            for (int i=0; i<20; i++){
                lampe[i].setzeFarbe(1,1,1);
                Sys.warte(200);
            } 

        }
    }

    void starteLauflichter2(){
        int i = 0;
        while (!tastatur.esc()){
            lampe[i % 20].setzeFarbe(1,1,1);
            lampe[(i+1) % 20].setzeFarbe(1,0,0);
            i++;
            Sys.warte(500);
        }
    }

    void starteBlinken(){
        while (!tastatur.esc()){

            for (int i=0; i<20; i++){
                lampe[i].setzeFarbe(1,0,0);
            }
            Sys.warte(200);
            
            for (int i=0; i<20; i++){
                lampe[i].setzeFarbe(1,1,1);
            }
            Sys.warte(200);
            
        }
    }

}